%define upstream_name    local-lib
%define upstream_version 1.008004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    create and use a local lib/ for perl modules with PERL5LIB
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/local/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN) >= 1.820.0
BuildRequires: perl(ExtUtils::Install) >= 1.430.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildArch:  noarch

Provides:   perl(local::lib)

%description
This module provides a quick, convenient way of bootstrapping a user-local
Perl module library located within the user's home directory. It also
constructs and prints out for the user the list of environment variables
using the syntax appropriate for the user's current shell (as specified by
the 'SHELL' environment variable), suitable for directly adding to one's
shell configuration file.

More generally, local::lib allows for the bootstrapping and usage of a
directory containing Perl modules outside of Perl's '@INC'. This makes it
easier to ship an application with an app-specific copy of a Perl module,
or collection of modules. Useful in cases like when an upstream maintainer
hasn't applied a patch to a module of theirs that you need for your
application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.8.4-3.mga3
+ Revision: 375496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 1.8.4-2.mga2
+ Revision: 103977
- increase rel for rebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.8.4-1.mga1
+ Revision: 60565
- update to 1.008004

* Wed Feb 16 2011 jquelin <jquelin> 1.8.1-1.mga1
+ Revision: 52213
- update to 1.008001

* Sun Jan 23 2011 jquelin <jquelin> 1.6.7-2.mga1
+ Revision: 34524
- mageia rebuild
- imported package perl-local-lib

